Package org.kapott.hbci.sepa

## Enum SepaVersion.Type

- java.lang.Object
- - java.lang.Enum<SepaVersion.Type>
  - - org.kapott.hbci.sepa.SepaVersion.Type

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<SepaVersion.Type>`

Enclosing class:
  SepaVersion

    public static enum SepaVersion.Type
    extends java.lang.Enum<SepaVersion.Type>

Enum fuer die Gruppierung der verschienden Typen von Geschaeftsvorfaellen.

### Enum Constant Summary

Enum Constants
`CAMT_052` Umsaetze im CAMT.052-Format.
`PAIN_001` Ueberweisungen.
`PAIN_002` Kontoauszuege.
`PAIN_008` Lastschriften.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` Liefert eine sprechende Bezeichnung des Typs.
`java.lang.String` `getType()` Liefert den Typ.
`java.lang.String` `getValue()` Liefert den numerischen Wert des Typs.
`static SepaVersion.Type` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SepaVersion.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PAIN_001

    public static final SepaVersion.Type PAIN_001

Ueberweisungen.

#### PAIN_002

    public static final SepaVersion.Type PAIN_002

Kontoauszuege.

#### PAIN_008

    public static final SepaVersion.Type PAIN_008

Lastschriften.

#### CAMT_052

    public static final SepaVersion.Type CAMT_052

Umsaetze im CAMT.052-Format.

### Method Detail

#### values

    public static SepaVersion.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SepaVersion.Type c : SepaVersion.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SepaVersion.Type valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getType

    public java.lang.String getType()

Liefert den Typ.

Returns:
  type

#### getValue

    public java.lang.String getValue()

Liefert den numerischen Wert des Typs.

Returns:
  der numerischen Wert des Typs.

#### getName

    public java.lang.String getName()

Liefert eine sprechende Bezeichnung des Typs.

Returns:
  eine sprechende Bezeichnung des Typs.